コンテンツへスキップ

Workflow Utilities Pick Image By Index

統合

モデルID workflow-utilities/pick-image-by-index
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/pick-image-by-index?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "index": 1
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.001 1 APIクレジット このページで実行

APIキーを取得
Utility · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 image_urls
ファイルをドロップ、または

選択元として使用する画像URLの配列です。

•必須

位置による画像選択。1から数え、1で1枚目、2で2枚目というように指定します。

詳細設定 fallback_index
fallback_index デフォルト first-image

範囲外の画像選択ポリシー。デフォルトは`first-image`です。有効な`index`では無視されますが、1未満の`index`や空の`image_urls`配列では検証に失敗します。配列の長さを超える`index`の場合のみポリシーが有効になり、`first-image`では最初の画像、`last-image`では最後の画像を選択します。

POST /run/workflow-utilities/pick-image-by-index?wait=20 見積もり → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/pick-image-by-index?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "index": 1
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Workflow Utilities Pick Image By Indexについて

画像URLの配列から1枚の画像を返します。`index`は1始まりで、1を指定すると最初の画像になります。インデックスがリストの長さを超えた場合、`fallback_index`によって最初または最後の画像を返します。ワークフロー内のステップ連結に便利です。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_urls必須 images
型url[] · image
選択元として使用する画像URLの配列です。
index必須
型integer
位置による画像選択。1から数え、1で1枚目、2で2枚目というように指定します。
fallback_index任意
型enum
デフォルトfirst-image
first-imagelast-image
範囲外の画像選択ポリシー。デフォルトは`first-image`です。有効な`index`では無視されますが、1未満の`index`や空の`image_urls`配列では検証に失敗します。配列の長さを超える`index`の場合のみポリシーが有効になり、`first-image`では最初の画像、`last-image`では最後の画像を選択します。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/pick-image-by-index",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "index": 1
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size, width, height}指定した位置で選択された画像です。
images
array of object {url, content_type, file_name, file_size, width, height}mergeなどのユーティリティが提供する、`images`参照を想定する後続ノード向けの互換性出力です。選択した画像を1要素の配列に格納するため、これらのノードを変更する必要はありません。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/workflow-utilities/pick-image-by-index.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt